aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorThéophane Hufschmitt <7226587+thufschmitt@users.noreply.github.com>2023-08-07 17:35:02 +0200
committerGitHub <noreply@github.com>2023-08-07 17:35:02 +0200
commit4999f42a70468b62f51afef98f8c4070c02659d8 (patch)
tree535d4264e5baef9d2a6f68ab872fc9c08b36a150 /tests
parenteb1302670e49e5bcf9f01f1cfaeaa6e62c383290 (diff)
parentad410abbe0d66a72927bd715af355d88a4e939d9 (diff)
Merge pull request #8322 from tweag/stabilize-discard-references
Stabilize `discard-references`
Diffstat (limited to 'tests')
-rw-r--r--tests/check-refs.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/check-refs.sh b/tests/check-refs.sh
index 2778e491d..3b587d1e5 100644
--- a/tests/check-refs.sh
+++ b/tests/check-refs.sh
@@ -42,8 +42,10 @@ nix-build -o $RESULT check-refs.nix -A test7
nix-build -o $RESULT check-refs.nix -A test10
if isDaemonNewer 2.12pre20230103; then
- enableFeatures discard-references
- restartDaemon
+ if ! isDaemonNewer 2.16.0; then
+ enableFeatures discard-references
+ restartDaemon
+ fi
# test11 should succeed.
test11=$(nix-build -o $RESULT check-refs.nix -A test11)